Не удалось установить erlang

Я пытаюсь установить Erlang для RabbitMQ на CentOS release 6.4 (Final)

yum install -y erlang

Это дает мне следующую ошибку:

 Error: Package: erlang-R12B-5.12.el5.rf.x86_64 (rpmforge) Requires: libodbc.so.1()(64bit) 

Я не могу найти решение для libodbc.so.1 Я также установил unixODBC и unixODBC-devel

2 Solutions collect form web for “Не удалось установить erlang”

Релиз R12B – с 2008 года. Было обновлено, как он обрабатывает библиотеки ODBC в R13A, в соответствии с файлом readme из этой версии:

  The configure script of the odbc application now also looks for odbc libraries in lib64 and lib/64 directories when building on a 64-bit system. 

Это может объяснить, почему у старшего релиза возникают проблемы с поиском нужной библиотеки ODBC.

Если вам не нужна эта конкретная версия (и я искренне надеюсь, что вы этого не сделаете!), Вместо этого вы должны добавить репозиторий Erlang для получения текущей версии:

  wget http://packages.erlang-solutions.com/erlang-solutions-1.0-1.noarch.rpm rpm -Uvh erlang-solutions-1.0-1.noarch.rpm 

Если вы не хотите этого делать, вы можете использовать версию в репозитории epel – это R14B, которая, по крайней мере, с этого десятилетия (2010 г., если быть точным). Чтобы начать использовать этот репозиторий, запустите

  su -c 'rpm -Uvh http://download.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm' 

а затем попробуйте установить erlang снова.

Вы можете установить erlang, используя репозиторий erlang-solution

  • Установка репо

    wget http://packages.erlang-solutions.com/erlang-solutions-1.0-1.noarch.rpm

    rpm -Uvh erlang-solutions-1.0-1.noarch.rpm

  • Установить erlang

    sudo yum install erlang

  • Ошибка обновления Yum на centOS 5.6
  • Проверка и установка файлов в yum
  • Установка TeXstudio rpm: зависимости QT (например, libQtGui.so.4)
  • Пытается обновить php на CentOS 5.7
  • Чернослив установленных устаревших пакетов / дубликатов gcc-пакетов после ручной установки
  • Ошибка при установке VLC на Fedora 20
  • Общие библиотеки для GCC, установленные через yum на Fedora 20
  • Избегайте обновления CentOS 7 через yum?
  • YUM не разрешает зависимость с требованием для более старой версии
  • проблемы во время установки gnome на Centos 7?
  • Не удалось запустить обновление yum для виртуализованного центра сертификации
  • Linux и Unix - лучшая ОС в мире.